class CompanyAdmin::BaseController < ApplicationController
  before_filter :company_admin_required
  
  private
    def company_admin_required
      if current_user && current_user.is_company_admin?
        # This will change when companies become resources that own feedback boxes
        @company = current_user
      else
        flash[:notice] = "You do not have permission to view that page."
        redirect_to root_path and return false
      end
    end
end
