class CompanyAdmin::FeedbackBoxesController < CompanyAdmin::BaseController
  # GET /feedback_boxes
  # GET /feedback_boxes.xml
  def index
    @feedback_boxes = @company.feedback_boxes

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @feedback_boxes }
    end
  end

  # GET /feedback_boxes/1
  # GET /feedback_boxes/1.xml
  def show
    @feedback_box = @company.feedback_boxes.find(params[:id])

    respond_to do |format|
      format.html { redirect_to :action => :edit }
      format.xml  { render :xml => @feedback_box }
    end
  end

  # GET /feedback_boxes/new
  # GET /feedback_boxes/new.xml
  def new
    @feedback_box = FeedbackBox.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @feedback_box }
    end
  end

  # GET /feedback_boxes/1/edit
  def edit
    @feedback_box = @company.feedback_boxes.find(params[:id])
    @feedback_comments = @feedback_box.feedback_comments.find(:all, :limit => 4, :order => "created_at DESC")
    @feedback_comment_count = @feedback_box.feedback_comments.count
  end

  # POST /feedback_boxes
  # POST /feedback_boxes.xml
  def create
    @feedback_box = @current_user.feedback_boxes.new(params[:feedback_box])

    respond_to do |format|
      if @feedback_box.save
        flash[:notice] = 'FeedbackBox was successfully created.'
        format.html { redirect_to(edit_company_admin_feedback_box_url(@feedback_box)) }
        format.xml  { render :xml => @feedback_box, :status => :created, :location => @feedback_box }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @feedback_box.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /feedback_boxes/1
  # PUT /feedback_boxes/1.xml
  def update
    @feedback_box = @company.feedback_boxes.find(params[:id])

    respond_to do |format|
      if @feedback_box.update_attributes(params[:feedback_box])
        flash[:notice] = 'FeedbackBox was successfully updated.'
        format.html { redirect_to(edit_company_admin_feedback_box_url(@feedback_box)) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @feedback_box.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /feedback_boxes/1
  # DELETE /feedback_boxes/1.xml
  def destroy
    @feedback_box = @company.feedback_boxes.find(params[:id])
    @feedback_box.destroy

    respond_to do |format|
      flash[:notice] = "FeedbackBox: '#{@feedback_box.title}' was deleted."
      format.html { redirect_to(company_admin_feedback_boxes_url) }
      format.xml  { head :ok }
    end
  end
end
