class CompanyAdmin::FeedbackCommentsController < CompanyAdmin::BaseController
  before_filter :find_feedback_box
  
  # GET /feedback_comments
  # GET /feedback_comments.xml
  def index
    @feedback_comments = @feedback_box.feedback_comments.all

    respond_to do |format|
      format.html { render :index, :layout => 'report' }
      format.csv  { render :csv => @feedback_comments }
      format.xml  { render :xml => @feedback_comments }
    end
  end

  # GET /feedback_comments/1
  # GET /feedback_comments/1.xml
  def show
    @feedback_comment = @feedback_box.feedback_comments.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @feedback_comment }
    end
  end

  # GET /feedback_comments/new
  # GET /feedback_comments/new.xml
  def new
    @feedback_comment = FeedbackComment.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @feedback_comment }
    end
  end

  # GET /feedback_comments/1/edit
  def edit
    @feedback_comment = @feedback_box.feedback_comments.find(params[:id])
  end

  # POST /feedback_comments
  # POST /feedback_comments.xml
  def create
    @feedback_comment = @feedback_box.feedback_comments.new(params[:feedback_comment])

    respond_to do |format|
      if @feedback_comment.save
        flash[:notice] = 'FeedbackComment was successfully created.'
        format.html { redirect_to(edit_company_admin_feedback_box_path(@feedback_box)) }
        format.xml  { render :xml => @feedback_comment, :status => :created, :location => @feedback_comment }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @feedback_comment.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /feedback_comments/1
  # PUT /feedback_comments/1.xml
  def update
    @feedback_comment = @feedback_box.feedback_comments.find(params[:id])

    respond_to do |format|
      if @feedback_comment.update_attributes(params[:feedback_comment])
        flash[:notice] = 'FeedbackComment was successfully updated.'
        format.html { redirect_to(edit_company_admin_feedback_box_path(@feedback_box)) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @feedback_comment.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /feedback_comments/1
  # DELETE /feedback_comments/1.xml
  def destroy
    @feedback_comment = @feedback_box.feedback_comments.find(params[:id])
    @feedback_comment.destroy

    respond_to do |format|
      format.html { redirect_to(edit_company_admin_feedback_box_path(@feedback_box)) }
      format.xml  { head :ok }
    end
  end
  
  private
    def find_feedback_box
      @feedback_box = FeedbackBox.find(params[:feedback_box_id])
    end
end
