class FeedbackCommentsController < ApplicationController
  skip_before_filter :verify_authenticity_token
  
  def new
    @feedback_box = FeedbackBox.find_by_widget_id(params[:widget_id])
    @feedback_comment = FeedbackComment.new
  end
  
  def create
    @feedback_box = FeedbackBox.find_by_widget_id(params[:widget_id])
    @feedback_comment = @feedback_box.feedback_comments.new(params[:feedback_comment])

    respond_to do |format|
      if @feedback_comment.save
        flash[:notice] = 'Feedback sent. Leave another question/comment/feedback.'
        format.html { redirect_to( new_widget_feedback_comment_url(@feedback_box.widget_id) ) }
        format.xml  { render :xml => @feedback_comment, :status => :created, :location => @feedback_comment }
      else
        flash[:notice] = 'You must submit some kind of comment/question/feedback.'
        format.html { render :action => "new" }
        format.xml  { render :xml => @feedback_comment.errors, :status => :unprocessable_entity }
      end
    end
  end
end