class UserSessionsController < ApplicationController

  def new
    @user_session = UserSession.new
  end

  def create
    @user_session = UserSession.new(params[:user_session])
    if @user_session.save
      flash[:notice] = "Login successful!"
      if @user_session.user.is_primary_admin?
        redirect_back_or_default primary_admin_root_path
      elsif @user_session.user.is_company_admin?
        redirect_back_or_default company_admin_root_path
      else
        raise 'User has no admin role to send them to.'
      end
    else
      render :action => :new
    end
  end

  def destroy
    unless current_user
      redirect_to new_user_session_url
    else
      current_user_session.destroy
      flash[:notice] = "Logout successful!"
      redirect_back_or_default new_user_session_url
    end
  end
end