class FeedbackComment < ActiveRecord::Base
  
  ####################
  ### Associations ###
  ####################
  
  belongs_to :feedback_box
  
  ###################
  ### Validations ###
  ###################
  
  validates_presence_of :content
  
  #############
  ### Comma ###
  #############
  
  # The Comma gem provides a dead-simple dsl for CSV support
  
  comma do
    name
    email
    created_at
    content
  end
  
  ##########################
  ### Virtual Attributes ###
  ##########################
  
  def left_at
    created_at.strftime("%m-%d-%y %I:%M%p")
  end
end
