class User < ActiveRecord::Base

  ####################
  ### Associations ###
  ####################
  has_many :feedback_boxes

  ##########################
  ### Virtual Attributes ###
  ##########################
  def email_confirmation
  end

  def email_confirmation= new_email
  end

  ######################
  ### Authentication ###
  ######################
  acts_as_authentic

  #####################
  ### Authorization ###
  #####################
  easy_roles :roles

  before_validation :init_roles, :on => :create
  def init_roles
    if roles.blank?
      add_role "company_admin"
    end
  end
end