# Multi-stage config
set :default_stage, 'staging'
set :stages, %w(staging earthlink production)
require 'capistrano/ext/multistage'

set :repository,  "git@github.com:lexipod/earthlink-lexipod.git"
set :scm, :git
set :user, "deploy"

# Passenger:
namespace :deploy do
  task :start do end
  task :stop do end
  task :restart, :roles => :app, :except => { :no_release => true } do
    run "#{try_sudo} touch #{File.join(current_path,'tmp','restart.txt')}"
  end
end

# database.yml
desc "Link in the production database.yml" 
task :after_update_code do
  run "ln -nfs #{deploy_to}/#{shared_dir}/config/database.yml #{release_path}/config/database.yml" 
end
