# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).

# Primary Admins must be seeded, or no one can ever log in
User.create({
  :email => "lorennorman@gmail.com",
  :company => "Lexipod",
  :password => "test",
  :password_confirmation => "test",
  :roles => ['primary_admin']
})

User.create({
  :email => "aulbricht@peachpods.com",
  :company => "Lexipod",
  :password => "1234",
  :password_confirmation => "1234",
  :roles => ['primary_admin']
})

# The rest is sample data
joe = User.create({
  :email => "joe@example.com",
  :company => "ExampleCo",
  :password => "test",
  :password_confirmation => "test"
})

design_fbb = joe.feedback_boxes.create({
  :title => "New Site Design",
  :published_on => Date.today - 2.months,
  :notes => "Feedback on the new site design from the end users"
})

admin_fbb = joe.feedback_boxes.create({
  :title => "New Admin Interface",
  :published_on => Date.today,
  :notes => "What do our admins think of the new backend for administering our resources?"
})

design_fbb.feedback_comments.create([{
  :name => "Good Guy",
  :email => "gg@example.com",
  :content => "I love the design! Why don't you go on and move Widget A down 15 pixels and emphasize the whozit with the whatzit?"
},
{
  :email => 'nameless@example.com',
  :content => "pretty colors, email me when you get a chance!"
},
{
  :name => 'I <3 Teddy Bears',
  :content => "I'm not seeing enough cute and cudly in the new design, frankly"
},
{
  :content => 'I M L337 HAXoR. pWn juuuuuu!'
}])

50.times do |time_index|
  design_fbb.feedback_comments.create({
    :name => "hacker #{time_index}",
    :email => "fake_email_#{time_index}@example.com",
    :content => "pwn't " * time_index
  })
end

admin_fbb.feedback_comments.create([{
  :name => "Responsible Admin",
  :email => "responsible@example.com",
  :content => "The new tools are so so, but I'm glad we're finally making progress on this front."
}])
