require 'test_helper'

class UserSessionsControllerTest < ActionController::TestCase
  context "A user visiting the web root" do
    setup do
      get :new
    end
  end

  context "A primary admin logging in" do
    setup do
      admin = Factory.create(:primary_admin)
      post :create, { :user_session => { :email => admin.email, :password => admin.password } }
    end
    should redirect_to("the primary admin backend") { primary_admin_root_path }
  end

  context "A company admin logging in" do
    setup do
      admin = Factory.create(:company_admin)
      post :create, { :user_session => { :email => admin.email, :password => admin.password } }
    end
    should redirect_to("the company admin backend") { company_admin_root_path }
  end
end
