require 'test_helper'

class UserFlowsTest < ActionController::IntegrationTest
  context "A primary admin" do
    setup do
      @primary_admin = Factory.create(:primary_admin)
    end
    
    should "be able to log in and hit the primary_admin portal" do
      # Hit the login page
      get new_user_session_path
      assert_response :success
      
      # Submit the login form, should be redirected if successful
      post user_session_path, :user_session => { :email => @primary_admin.email, :password => @primary_admin.password }
      follow_redirect!
      
      # Should be in the primary admin panel
      assert_equal primary_admin_root_path, path
      assert_response :success
    end
  end
  
  context "A company admin" do
    setup do
      @company_admin = Factory.create(:company_admin)
    end
    
    should "be able to log in and hit their company_admin portal" do
      # Hit the login page
      get new_user_session_path
      assert_response :success
      
      # Submit the login form, should be redirected if successful
      post user_session_path, :user_session => { :email => @company_admin.email, :password => @company_admin.password }
      follow_redirect!
      
      # Should be in the primary admin panel
      assert_equal company_admin_root_path, path
      assert_response :success
    end
  end
end