require 'test_helper'

class FeedbackBoxTest < ActiveSupport::TestCase
  should validate_presence_of :user_id
  should validate_presence_of :title
  should validate_presence_of :published_on

  context "On creation" do
    setup do
      @new_feedback_box = Factory.create(:feedback_box)
    end

    should "creates a SHA1 hash of its id as a widget_id and stores it" do
      @new_feedback_box.reload
      assert_equal Digest::SHA1.hexdigest("#{@new_feedback_box.id}"), @new_feedback_box.widget_id
    end
  end
end
