require 'test_helper'

class UserTest < ActiveSupport::TestCase
  context "A primary admin" do
    setup do
      @admin = Factory.create(:primary_admin)
    end
    
    should "have the primary admin role" do
      assert @admin.is_primary_admin?
    end
    
    should "not have the company admin role" do
      assert !@admin.is_company_admin?
    end
  end
  
  context "A new user" do
    setup do
      @user = Factory.create(:user)
    end
    
    should "be a company admin" do
      assert @user.has_role?("company_admin")
    end
  end
  
  context "A company admin" do
    setup do
      @admin = Factory.create(:company_admin)
    end
    
    should "not have the primary admin role" do
      assert !@admin.is_primary_admin?
    end
    
    should "have the company admin role" do
      assert @admin.is_company_admin?
    end
  end
end
